/* BeOS driver for Ghostscript using a BBitmap for buffering.
 * This driver has been heavily rewritten from the previous version.
 *
 * Copyright 1997, Jake Hamby
 * Send all comments, bug fixes, etc. to:  jehamby@lightside.com
 */

struct bmapcache_s;   /* Contains a BBitmap, so can't define from C */

/* Define the BeBox device */
typedef struct gx_device_be_s {
	gx_device_common;
	sem_id mutex;		/* for gsdll_lock_device */
	BBitmap *m_bitmap; /* BBitmap for buffering */
	BView *m_view;     /* offscreen view for drawing */
	struct bmapcache_s *bmapcache, **bmapcache_current;
#ifdef PROFILE
	int fillrect, copymono, drawline;
#endif
} gx_device_be;

/* Default dots-per-inch (be sure to choose an even number!) */
#define INITIAL_RESOLUTION 96.0
#define INITIAL_WIDTH (INITIAL_RESOLUTION * 85 / 10 + 1)
#define INITIAL_HEIGHT (INITIAL_RESOLUTION * 11 + 1)